# Generated by Django 3.0.5 on 2020-05-12 12:59

import ckeditor.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Categorias',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('titulo', models.CharField(max_length=50)),
                ('color', models.CharField(max_length=10)),
                ('slug_categoria', models.SlugField(null=True)),
            ],
            options={
                'verbose_name': 'Categoria',
                'verbose_name_plural': 'Categorias',
            },
        ),
        migrations.CreateModel(
            name='Contes',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('titulo', models.CharField(max_length=70)),
                ('texto', ckeditor.fields.RichTextField()),
                ('fecha', models.DateTimeField()),
                ('imagen', models.ImageField(upload_to='imagenes/')),
                ('slug_contes', models.SlugField()),
                ('categorias', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contes.Categorias')),
            ],
            options={
                'verbose_name': 'Conte',
                'verbose_name_plural': 'Contes',
            },
        ),
    ]
